- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Zone Class Reference

main zone in a RagTime v5-v6 document More...

`#include <RagTime5StructManager.hxx>`

## Public Types
enum | FileType { F_Main, F_Data, F_Empty, F_Unknown }
| the zone file type More...

## Public Member Functions
| RagTime5Zone (MWAWInputStreamPtr input, libmwaw::DebugFile &asc)
| constructor More...
virtual | ~RagTime5Zone ()
| destructor More...
std::string | getZoneName () const
| returns the zone name More...
bool | isHeaderZone () const
| returns true if the zone is a header zone(header, list zone, ...) More...
std::string | getKindLastPart (bool main=true) const
| returns the main type More...
MWAWInputStreamPtr | getInput ()
| returns the current input More...
void | setInput (MWAWInputStreamPtr input)
| reset the current input More...
bool | isMainInput () const
| returns true if the input correspond to the basic file More...
libmwaw::DebugFile & | ascii ()
| returns the current ascii file More...
void | setAsciiFileName (std::string const &name)
| defines the ascii name More...
void | createAsciiFile ()
| creates the ascii file More...

## Public Attributes
FileType | m_fileType
| the zone file type More...
int | m_subType
| the zone sub type More...
long | m_defPosition
| the position of the definition in the main zones More...
std::string | m_kinds [2]
| the zone types: normal and packing More...
MWAWEntry | m_entry
| the zone entry More...
std::string | m_name
| the zone name ( mainly used for debugging) More...
bool | m_hiLoEndian
| true if the endian is hilo More...
int | m_ids [3]
| the zone id More...
int | m_idsFlag [3]
| the zone flag More...
std::vector< MWAWEntry > | m_entriesList
| the list of original entries More...
std::string | m_extra
| extra data More...
int | m_variableD [2]
| the content of the zone D if it exists More...
bool | m_isParsed
| a flag to know if the zone is parsed More...

## Protected Attributes
MWAWInputStreamPtr | m_input
| the main input More...
bool | m_defaultInput
| a flag used to know if the input is or not the default input More...
std::string | m_asciiName
| the ascii file name ( used if we need to create a ascii file) More...
libmwaw::DebugFile * | m_asciiFile
| the ascii file corresponding to an input More...
shared_ptr< libmwaw::DebugFile > | m_localAsciiFile
| the local ascii file ( if we need to create a new input) More...

## Private Member Functions
| RagTime5Zone (RagTime5Zone const &orig)
RagTime5Zone & | operator= (RagTime5Zone const &orig)

## Friends
std::ostream & | operator<< (std::ostream &o, RagTime5Zone const &z)
| operator<< More...

## Detailed Description

main zone in a RagTime v5-v6 document

## Member Enumeration Documentation

enum RagTime5Zone::FileType

the zone file type

Enumerator
F_Main |
F_Data |
F_Empty |
F_Unknown |

## Constructor & Destructor Documentation

RagTime5Zone::RagTime5Zone | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | asc
| ) |  |
| inline

constructor

virtual RagTime5Zone::~RagTime5Zone | ( |  | ) |
| inline virtual

destructor

RagTime5Zone::RagTime5Zone | ( | RagTime5Zone const & | orig | ) |
| private

## Member Function Documentation

libmwaw::DebugFile& RagTime5Zone::ascii | ( |  | ) |
| inline

returns the current ascii file

Referenced by RagTime5Parser::createZones(), RagTime5SpreadsheetInternal::Unknown5Parser::parseData(), RagTime5ClusterManager::readCluster(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readDocInfoClusterData(), RagTime5Parser::readDocumentVersion(), RagTime5Text::readFieldDefinition(), RagTime5ClusterManager::readFieldHeader(), RagTime5Text::readFieldPosition(), RagTime5Graph::readGraphic(), RagTime5Graph::readPicture(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Parser::readString(), RagTime5Parser::readStructData(), RagTime5Parser::readStructMainZone(), RagTime5Text::readTextCluster(), RagTime5Parser::readUnicodeString(), RagTime5Spreadsheet::readUnknownZone1(), RagTime5Spreadsheet::readUnknownZone2(), RagTime5Spreadsheet::readUnknownZone3(), RagTime5Spreadsheet::readUnknownZone4(), RagTime5Parser::readZoneData(), and RagTime5Parser::unpackZone().

void RagTime5Zone::createAsciiFile | ( |  | ) |

creates the ascii file

Referenced by ascii().

MWAWInputStreamPtr RagTime5Zone::getInput | ( |  | ) |
| inline

returns the current input

Referenced by RagTime5ClusterManager::getClusterBasicHeaderInfo(), RagTime5ClusterManager::getClusterFileType(), RagTime5ParserInternal::DocInfoFieldParser::parseField(), RagTime5TextInternal::FieldParser::parseField(), RagTime5GraphInternal::FieldParser::parseField(), RagTime5ClusterManager::readCluster(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readDocInfoClusterData(), RagTime5Parser::readDocumentVersion(), RagTime5Text::readFieldDefinition(), RagTime5ClusterManager::readFieldHeader(), RagTime5Text::readFieldPosition(), RagTime5Graph::readGraphic(), RagTime5Graph::readPicture(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Parser::readString(), RagTime5Parser::readStructData(), RagTime5Parser::readStructMainZone(), RagTime5StructManager::readTypeDefinitions(), RagTime5Parser::readUnicodeString(), and RagTime5Parser::unpackZone().

std::string RagTime5Zone::getKindLastPart | ( | bool | main = `true` | ) | const
| inline

returns the main type

Referenced by RagTime5Parser::createZones(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterZones(), RagTime5Graph::readPicture(), and RagTime5Parser::readZoneData().

std::string RagTime5Zone::getZoneName | ( |  | ) | const

returns the zone name

Referenced by operator<<(), and RagTime5Parser::update().

bool RagTime5Zone::isHeaderZone | ( |  | ) | const
| inline

returns true if the zone is a header zone(header, list zone, ...)

Referenced by RagTime5Parser::update().

bool RagTime5Zone::isMainInput | ( |  | ) | const
| inline

returns true if the input correspond to the basic file

Referenced by RagTime5Graph::readPicture().

RagTime5Zone& RagTime5Zone::operator= | ( | RagTime5Zone const & | orig | ) |
| private

void RagTime5Zone::setAsciiFileName | ( | std::string const & | name | ) |
| inline

defines the ascii name

Referenced by RagTime5Parser::update().

void RagTime5Zone::setInput | ( | MWAWInputStreamPtr | input | ) |
| inline

reset the current input

Referenced by RagTime5Parser::unpackZone(), and RagTime5Parser::update().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | RagTime5Zone const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

libmwaw::DebugFile* RagTime5Zone::m_asciiFile
| protected

the ascii file corresponding to an input

Referenced by ascii().

std::string RagTime5Zone::m_asciiName
| protected

the ascii file name ( used if we need to create a ascii file)

Referenced by setAsciiFileName().

bool RagTime5Zone::m_defaultInput
| protected

a flag used to know if the input is or not the default input

Referenced by ascii(), isMainInput(), and setInput().

long RagTime5Zone::m_defPosition

the position of the definition in the main zones

Referenced by RagTime5Parser::createZones(), RagTime5Parser::readDocumentVersion(), RagTime5Graph::readPicture(), RagTime5Graph::readPictureList(), and RagTime5Graph::readPictureMatch().

std::vector<MWAWEntry> RagTime5Zone::m_entriesList

the list of original entries

Referenced by operator<<(), and RagTime5Parser::update().

MWAWEntry RagTime5Zone::m_entry

the zone entry

Referenced by RagTime5Parser::createZones(), RagTime5ClusterManager::getClusterBasicHeaderInfo(), operator<<(), RagTime5ParserInternal::DocInfoFieldParser::parseField(), RagTime5ClusterManager::readCluster(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterZones(), RagTime5Parser::readDocumentVersion(), RagTime5Graph::readPicture(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Parser::readString(), RagTime5Parser::readStructMainZone(), RagTime5StructManager::readTypeDefinitions(), RagTime5Parser::readUnicodeString(), RagTime5Spreadsheet::readUnknownZone1(), RagTime5Spreadsheet::readUnknownZone2(), RagTime5Spreadsheet::readUnknownZone3(), RagTime5Spreadsheet::readUnknownZone4(), RagTime5Parser::readZoneData(), RagTime5Parser::unpackZone(), and RagTime5Parser::update().

std::string RagTime5Zone::m_extra

extra data

Referenced by RagTime5Parser::createZones(), operator<<(), and RagTime5Parser::unpackZone().

FileType RagTime5Zone::m_fileType

the zone file type

Referenced by RagTime5Parser::createZones(), isHeaderZone(), and RagTime5Parser::readZoneData().

bool RagTime5Zone::m_hiLoEndian

true if the endian is hilo

Referenced by RagTime5Parser::createZones(), RagTime5ClusterManager::getClusterBasicHeaderInfo(), RagTime5ClusterManager::getClusterFileType(), operator<<(), RagTime5ClusterManager::readCluster(), RagTime5Parser::readClusterLinkList(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Parser::readStructMainZone(), and RagTime5StructManager::readTypeDefinitions().

int RagTime5Zone::m_ids[3]

the zone id

Referenced by RagTime5Parser::createZones(), isHeaderZone(), operator<<(), RagTime5Zone(), RagTime5ClusterManager::readCluster(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterZones(), RagTime5Graph::readPicture(), and RagTime5Parser::readZoneData().

int RagTime5Zone::m_idsFlag[3]

the zone flag

Referenced by RagTime5Parser::createZones(), operator<<(), and RagTime5Zone().

MWAWInputStreamPtr RagTime5Zone::m_input
| protected

the main input

Referenced by getInput(), and setInput().

bool RagTime5Zone::m_isParsed

a flag to know if the zone is parsed

Referenced by RagTime5Parser::createZones(), RagTime5ClusterManager::readCluster(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterZones(), RagTime5Parser::readDocumentVersion(), RagTime5Graph::readPicture(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Parser::readStructMainZone(), RagTime5Parser::readUnicodeString(), RagTime5Spreadsheet::readUnknownZone1(), RagTime5Spreadsheet::readUnknownZone2(), RagTime5Spreadsheet::readUnknownZone3(), RagTime5Spreadsheet::readUnknownZone4(), and RagTime5Parser::update().

std::string RagTime5Zone::m_kinds[2]

the zone types: normal and packing

Referenced by RagTime5Parser::createZones(), getKindLastPart(), operator<<(), RagTime5Zone(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterZones(), RagTime5Graph::readPicture(), and RagTime5Parser::readZoneData().

shared_ptr<libmwaw::DebugFile> RagTime5Zone::m_localAsciiFile
| protected

the local ascii file ( if we need to create a new input)

Referenced by ascii().

std::string RagTime5Zone::m_name

the zone name ( mainly used for debugging)

Referenced by RagTime5Graph::readPictureList(), and RagTime5Graph::readPictureMatch().

int RagTime5Zone::m_subType

the zone sub type

int RagTime5Zone::m_variableD[2]

the content of the zone D if it exists

Referenced by operator<<(), RagTime5Zone(), and RagTime5Graph::readPictureList().

The documentation for this class was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx